## ros-melodic-moveit-ros-move-group 1.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_ros_move_group)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED system filesystem date_time program_options thread)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  actionlib
  roscpp
  pluginlib
  std_srvs
  tf2
  tf2_geometry_msgs
  tf2_ros
)

catkin_package(
  LIBRARIES
    moveit_move_group_capabilities_base
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    actionlib
    moveit_core
    moveit_ros_planning
    roscpp
    std_srvs
    tf2_geometry_msgs
)

include_directories(include)
include_directories(${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS})

add_library(moveit_move_group_capabilities_base
  src/move_group_context.cpp
  src/move_group_capability.cpp
  )
set_target_properties(moveit_move_group_capabilities_base PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
add_dependencies(moveit_move_group_capabilities_base ${catkin_EXPORTED_TARGETS}) # wait until all *_msgs packages are finished being built

add_executable(move_group src/move_group.cpp)

add_executable(list_move_group_capabilities src/list_capabilities.cpp)

add_library(moveit_move_group_default_capabilities
  src/default_capabilities/move_action_capability.cpp
  src/default_capabilities/plan_service_capability.cpp
  src/default_capabilities/execute_trajectory_action_capability.cpp
  src/default_capabilities/query_planners_service_capability.cpp
  src/default_capabilities/kinematics_service_capability.cpp
  src/default_capabilities/state_validation_service_capability.cpp
  src/default_capabilities/cartesian_path_service_capability.cpp
  src/default_capabilities/get_planning_scene_service_capability.cpp
  src/default_capabilities/apply_planning_scene_service_capability.cpp
  src/default_capabilities/clear_octomap_service_capability.cpp
  )
set_target_properties(moveit_move_group_default_capabilities PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
add_dependencies(moveit_move_group_default_capabilities ${catkin_EXPORTED_TARGETS})

target_link_libraries(moveit_move_group_capabilities_base ${catkin_LIBRARIES} ${Boost_LIBRARIES})
target_link_libraries(move_group moveit_move_group_capabilities_base ${catkin_LIBRARIES} ${Boost_LIBRARIES})
target_link_libraries(moveit_move_group_default_capabilities moveit_move_group_capabilities_base ${catkin_LIBRARIES} ${Boost_LIBRARIES})
target_link_libraries(list_move_group_capabilities ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS move_group list_move_group_capabilities
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS moveit_move_group_capabilities_base moveit_move_group_default_capabilities
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(PROGRAMS
  scripts/load_map scripts/save_map DESTINATION
  ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES
  default_capabilities_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  # this test is flaky
  # add_rostest(test/test_cancel_before_plan_execution.test)
  add_rostest(test/test_check_state_validity_in_empty_scene.test)
endif()

## ros-melodic-moveit-ros-move-group 1.0.7

=== debian/changelog ===
ros-melodic-moveit-ros-move-group (1.0.7-1stretch) stretch; urgency=high

  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [feature] Let the max number of contacts be the amount of world objects + link models with geometry (#2361 <https://github.com/ros-planning/moveit/issues/2361>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Loy van Beek, Michael Görner, Yoan Mollard, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.6-1stretch) stretch; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.5-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.4-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.3-1stretch) stretch; urgency=high

  * [maint] Move get_planning_scene service into PlanningSceneMonitor for reusability (#1854 <https://github.com/ros-planning/moveit/issues/1854>)
  * [maint] Cleanup move_group capabilities (#1515 <https://github.com/ros-planning/moveit/issues/1515>)
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.2-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-moveit-ros-move-group (0.10.8-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-moveit-ros-move-group (0.10.7-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-moveit-ros-move-group (0.10.6-1stretch) stretch; urgency=high

  * [fix] Fixed various memory leaks (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Code Cleanup
    * #1180 <https://github.com/ros-planning/moveit/issues/1180>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Dave Coleman, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 09 Dec 2018 07:00:00 -0000

ros-melodic-moveit-ros-move-group (0.10.2-1stretch) stretch; urgency=high

  * [fix] PlanningSceneMonitor lock #1033 <https://github.com/ros-planning/moveit/issues/1033>: Fix #868 <https://github.com/ros-planning/moveit/issues/868> (#1057 <https://github.com/ros-planning/moveit/issues/1057>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 24 Oct 2018 06:00:00 -0000

ros-melodic-moveit-ros-move-group (0.10.1-1stretch) stretch; urgency=high

  * Remove deprecated ExecuteTrajectoryServiceCapability (#833 <https://github.com/ros-planning/moveit/issues/833>)
  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * Add namespace capabilities to moveit_commander (#835 <https://github.com/ros-planning/moveit/issues/835>)
  * [fix] MoveAction capability can drop cancel request if it is sent shortly after goal is sent (#756 <https://github.com/ros-planning/moveit/issues/756>)
  * Contributors: Dave Coleman, Ian McMahon, Mikael Arguedas, Robert Haschke, Will Baker

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 25 May 2018 06:00:00 -0000

ros-melodic-moveit-ros-move-group (0.9.11-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 25 Dec 2017 07:00:00 -0000

ros-melodic-moveit-ros-move-group (0.9.10-1stretch) stretch; urgency=high

  * [fix] always return true in MoveGroupPlanService callback #674 <https://github.com/ros-planning/moveit/pull/674>


=== debian/control ===
Source: ros-melodic-moveit-ros-move-group
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-moveit-core, ros-melodic-moveit-resources-fanuc-moveit-config, ros-melodic-moveit-ros-planning, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-std-srvs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-ros-move-group
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-moveit-core, ros-melodic-moveit-kinematics, ros-melodic-moveit-ros-planning, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-std-srvs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Description: The move_group node for MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-ros-move-group//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-moveit-ros-move-group 1.0.11

=== debian/changelog ===
ros-melodic-moveit-ros-move-group (1.0.11-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.10-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.9-1bionic) bionic; urgency=high

  * Use mailto:moveit-resources@master (#2951 <https://github.com/ros-planning/moveit/issues/2951>)
    
      * Simplify launch files to use the test_environment.launch files from mailto:moveit_resources@master
      * Provide compatibility to the Noetic-style configuration of (multiple) planning pipelines
        Only a single pipeline can be used at a time, specified via the ~default_planning_pipeline parameter.
    
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.8-1bionic) bionic; urgency=high

  * Fix missing isEmpty() check in compute_ik service (#2544 <https://github.com/ros-planning/moveit/issues/2544>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.7-1bionic) bionic; urgency=high

  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [feature] Let the max number of contacts be the amount of world objects + link models with geometry (#2361 <https://github.com/ros-planning/moveit/issues/2361>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Loy van Beek, Michael Görner, Yoan Mollard, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.6-1bionic) bionic; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.5-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.3-1bionic) bionic; urgency=high

  * [maint] Move get_planning_scene service into PlanningSceneMonitor for reusability (#1854 <https://github.com/ros-planning/moveit/issues/1854>)
  * [maint] Cleanup move_group capabilities (#1515 <https://github.com/ros-planning/moveit/issues/1515>)
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-ros-move-group (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-ros-move-group (0.10.8-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-move-group (0.10.7-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-move-group (0.10.6-1bionic) bionic; urgency=high

  * [fix] Fixed various memory leaks (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Code Cleanup
    * #1180 <https://github.com/ros-planning/moveit/issues/1180>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Dave Coleman, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-move-group (0.10.2-1bionic) bionic; urgency=high

  * [fix] PlanningSceneMonitor lock #1033 <https://github.com/ros-planning/moveit/issues/1033>: Fix #868 <https://github.com/ros-planning/moveit/issues/868> (#1057 <https://github.com/ros-planning/moveit/issues/1057>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-moveit-core, ros-melodic-moveit-resources-fanuc-moveit-config, ros-melodic-moveit-ros-planning, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-std-srvs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-moveit-core, ros-melodic-moveit-resources-fanuc-moveit-config <!nocheck>, ros-melodic-moveit-ros-planning, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-rostest <!nocheck>, ros-melodic-std-srvs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
 Homepage: http://moveit.ros.org
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
